de.esprit.netsuite.server.netch.io

## Class IOServerConnector<S extends ServerContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<S>
      - - de.esprit.netsuite.server.netch.ServerConnector<S>
        - - de.esprit.netsuite.server.netch.io.IOServerConnector<S>

- All Implemented Interfaces:
    ApplicationObject<S>, CloseableComponent, SimpleLogSupport, Dumpable, ServerObject<S>, java.lang.AutoCloseable

      public class IOServerConnector<S extends ServerContext>
      extends ServerConnector<S>

  This is an implementation of `ServerConnector` based on the standard network `Socket` class.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IOServerConnector(S serverCtx, StreamWrapper streamWrapper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ServerConnectionService` | `createConnectionService(S serverCtx, StreamWrapper streamWrapper)` Create the IO specific connection server that knows how to establish the server connections defined in `NetChannelType`.

    - ### Methods inherited from class de.esprit.netsuite.server.netch.ServerConnector

      `close, getMessageDispatcher, getServerMessageQueue, getSessionManager, getWebServer, setMessageDispatcher, startServices`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IOServerConnector

          public IOServerConnector(S serverCtx,
                           StreamWrapper streamWrapper)
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### createConnectionService

          protected ServerConnectionService createConnectionService(S serverCtx,
                                                        StreamWrapper streamWrapper)
                                                             throws java.lang.Exception

      Description copied from class: `ServerConnector`
      Create the IO specific connection server that knows how to establish the server connections defined in `NetChannelType`.
      Specified by:
        `createConnectionService` in class `ServerConnector<S extends ServerContext>`
      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.